REMQUO(3)

NAME
remquo, remquof, remquol - remainder and part of quotient

SYNOPSIS
#define _ISOC99_SOURCE
#include <math.h>

double remquo(double x, double y, int *quo);
float remquof(float x, float y, int *quo);
long double remquol(long double x, long double y, int *quo);

DESCRIPTION
These functions compute the remainder and part of the quotient upon division of x by y. A few bits of the quotient are stored via the quo pointer. The remainder is returned as function value. The value of the remainder is the same as that computed by the remainder(3) function. The value stored via the quo pointer has the sign of x/y and agrees with the quotient in at least the low order 3 bits. For example, remquo(29.0,3.0) returns -1.0 and might store 2. Note that the actual quotient might not fit in an integer.

CONFORMING TO
C99

SEE ALSO
fmod(3), logb(3), remainder(3), feature_test_macros(7)